<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Tue Oct 09 16:40:26 CEST 2018 -->
<title>T-Index</title>
<meta name="date" content="2018-10-09">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="T-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">Q</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">_</a>&nbsp;<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="../docrequests/SearchQuery.html#template">template</a></span> - Variable in class docrequests.<a href="../docrequests/SearchQuery.html" title="class in docrequests">SearchQuery</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../templates/Template1.html" title="class in templates"><span class="typeNameLink">Template1</span></a> - Class in <a href="../templates/package-summary.html">templates</a></dt>
<dd>
<div class="block">Represents a template for building a SearchSourceBuilder implementing a query like
 <br>
     <code>"bool": {
         "must": [
              {
                  "term": {
                      stuff
                  }
              }, ...,
              {
                  "match": {
                      stuff
                  }
              }, ...,
              {
                  "range": {
                      stuff
                  }
              }, ...
         ]
     }</code></div>
</dd>
<dt><span class="memberNameLink"><a href="../templates/Template1.html#Template1--">Template1()</a></span> - Constructor for class templates.<a href="../templates/Template1.html" title="class in templates">Template1</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../templates/Template1.html#Template1-java.util.HashMap-java.util.HashMap-java.util.ArrayList-">Template1(HashMap&lt;String, String&gt;, HashMap&lt;String, String&gt;, ArrayList&lt;Range&gt;)</a></span> - Constructor for class templates.<a href="../templates/Template1.html" title="class in templates">Template1</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../deserialization/TemplateDeserializer.html" title="class in deserialization"><span class="typeNameLink">TemplateDeserializer</span></a> - Class in <a href="../deserialization/package-summary.html">deserialization</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/TemplateDeserializer.html#TemplateDeserializer--">TemplateDeserializer()</a></span> - Constructor for class deserialization.<a href="../deserialization/TemplateDeserializer.html" title="class in deserialization">TemplateDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../templates/package-summary.html">templates</a> - package templates</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/TemplateDeserializer.html#templateType">templateType</a></span> - Variable in class deserialization.<a href="../deserialization/TemplateDeserializer.html" title="class in deserialization">TemplateDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/QueryTypeDeserializer.html#TERM">TERM</a></span> - Static variable in class deserialization.<a href="../deserialization/QueryTypeDeserializer.html" title="class in deserialization">QueryTypeDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/Term.html" title="class in queries"><span class="typeNameLink">Term</span></a> - Class in <a href="../queries/package-summary.html">queries</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Term.html#Term--">Term()</a></span> - Constructor for class queries.<a href="../queries/Term.html" title="class in queries">Term</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Term.html#Term-java.lang.String-java.lang.String-">Term(String, String)</a></span> - Constructor for class queries.<a href="../queries/Term.html" title="class in queries">Term</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/QueryTypeDeserializer.html#term_keys">term_keys</a></span> - Static variable in class deserialization.<a href="../deserialization/QueryTypeDeserializer.html" title="class in deserialization">QueryTypeDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../templates/Template1.html#termQueries">termQueries</a></span> - Variable in class templates.<a href="../templates/Template1.html" title="class in templates">Template1</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/TermsAggregation.html#terms">terms</a></span> - Variable in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs">TermsAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/AggregationDeserializer.html#TERMS">TERMS</a></span> - Static variable in class deserialization.<a href="../deserialization/AggregationDeserializer.html" title="class in deserialization">AggregationDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">TermsAggregation</span></a> - Class in <a href="../aggregations/bucketaggs/package-summary.html">aggregations.bucketaggs</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/TermsAggregation.html#TermsAggregation--">TermsAggregation()</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs">TermsAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/TermsAggregation.html#TermsAggregation-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.List-int-long-java.lang.String:A-java.lang.String:A-boolean-aggregations.bucketaggs.AggsBucketOrder-">TermsAggregation(String, String, String, String, List&lt;AggregationType&gt;, int, long, String[], String[], boolean, AggsBucketOrder)</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs">TermsAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/QueryString.html#time_zone">time_zone</a></span> - Variable in class queries.fulltext.<a href="../queries/fulltext/QueryString.html" title="class in queries.fulltext">QueryString</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/DateRange.html#timezone">timezone</a></span> - Variable in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/DateRange.html" title="class in aggregations.bucketaggs">DateRange</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Range.html#timeZone">timeZone</a></span> - Variable in class queries.<a href="../queries/Range.html" title="class in queries">Range</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeElement.html#to">to</a></span> - Variable in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs">RangeElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Range.html#to">to</a></span> - Variable in class queries.<a href="../queries/Range.html" title="class in queries">Range</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationType.html#type">type</a></span> - Variable in class aggregations.<a href="../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocCreateRequest.html#type">type</a></span> - Variable in class docrequests.<a href="../docrequests/DocCreateRequest.html" title="class in docrequests">DocCreateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocDeleteRequest.html#type">type</a></span> - Variable in class docrequests.<a href="../docrequests/DocDeleteRequest.html" title="class in docrequests">DocDeleteRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#type">type</a></span> - Variable in class docrequests.<a href="../docrequests/DocUpdateRequest.html" title="class in docrequests">DocUpdateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/SearchQuery.html#type">type</a></span> - Variable in class docrequests.<a href="../docrequests/SearchQuery.html" title="class in docrequests">SearchQuery</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">Q</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
